YUI compressor strange error...

/usr/local/bin/node style.css -o style.min.css

/Users/jimiwikman/Dropbox/Projekt/Kodmyran/Hemsida-Kodmyran/Kodmyran/css/style.css:1
(function (exports, require, module, __filename, __dirname) { .result-with-hig
                                                              ^
SyntaxError: Unexpected token .
    at Module._compile (module.js:439:25)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
    at node.js:902:3

Has anyone seen that before and know what it mean?

8 comments
Comment actions Permalink

Hi there,

I personally do not see anything about YUI Compressor in that error message.

/usr/local/bin/node style.css -o style.min.css

Looks like you are trying to execute node.js with YUI Compressor type of parameters ...

Therefore: check your File Watcher settings

0
Comment actions Permalink

I feel completely stuck.
The instructions suck to be honest...it assumes knowledge that I do not possess.

I try to set it to the jar file and it says it's not valid program...
/usr/local/bin/node_modules/yuicompressor/build/yuicompressor-2.4.8.jar

Could someone make a video on how to set this up from scratch or at least give proper instructions on paths and what to add where?

0
Comment actions Permalink

Looks like WEB-11037 --> WEB-10935 (fixed for v8)

Not a Mac user so cannot tell how this can be resolved in current 7.x version (works fine on Windows).

P.S.
Instead of pointing to .jar file directly .. try pointing to a "yuicompressor" file (just search whole disk for that file). It should be a script that will be executed by node.js interpreter (that's how it shown on video tutorial (video is for Windows, but concept is exactly same): http://www.youtube.com/watch?v=fe14-21NTGU#t=49 ).

0
Comment actions Permalink

Thanks Liubov, but that does not really show how to install and configure :)

0
Comment actions Permalink

Known issue, tracked as  http://youtrack.jetbrains.com/issue/WEB-10935 :(
You can try choosing 'yuicompressor' (a symlink to cli.js which is a  node.js wrapper around the .jar) as a program. On my system it's located  in /usr/local/bin/ folder (.jar is located in  /usr/local/lib/node_modules/yuicompressor/build/yuicompressor-2.4.8.jar)
If nothjing of this kind exists on your system, you can try creating a  batch file that would run java -jar <path to  yuicompressor-2.4.8.jar> and get a list of parameters, and configure  this file as a program to run in you file watcher...

0
Comment actions Permalink

Thanks, that explain things :)
The assistance is much apprecaited!

0
Comment actions Permalink

Thanks Elena, I tried that (mine was in a sub .bin folder even) and it still did not work.
I don't need it right now anyway as I am just testing PHPStorm, but it's good to know that the issue is reported and resolved in the next version.

The help is much appreciate :)

0

Please sign in to leave a comment.